import javax.swing.JFrame;
import java.awt.BorderLayout;
import java.awt.event.KeyListener;
import java.awt.event.KeyEvent;
import java.awt.Toolkit;

public class App implements KeyListener
{
  JFrame frame;
  Mandelbrot applet;
  boolean FULL_SCREEN;

  public static void main(String[] args) { new App(); }

  public App()
  { frame = new JFrame();
    frame.setUndecorated(true);
    frame.getContentPane().setLayout(new BorderLayout());
    applet = new Mandelbrot();
    frame.getContentPane().add(applet, BorderLayout.CENTER);
    FULL_SCREEN = false;
    frame.setLocation(100, 100);
    frame.setSize(640, 500);
    frame.setVisible(true);
    applet.init();
    applet.addKeyListener(this);
  }

  public void keyPressed(KeyEvent e)
  { if(e.getKeyChar() == 'f')
    { if(!FULL_SCREEN)
      { applet.stop();
        while(applet.RUNNING());
        int WIDTH = (int)Toolkit.getDefaultToolkit().getScreenSize().getWidth();
        int HEIGHT = (int)Toolkit.getDefaultToolkit().getScreenSize().getHeight();
        frame.setLocation(0, 0);
        frame.setSize(WIDTH, HEIGHT);
        applet.setSize(WIDTH, HEIGHT);
        applet.size_changed();
        FULL_SCREEN = true;
      }
      else
      { applet.stop();
        while(applet.RUNNING());
        frame.setLocation(100, 100);
        frame.setSize(640, 500);
        applet.setSize(640, 500);
        applet.size_changed();
        FULL_SCREEN = false;
      }
    }
  }

  public void keyReleased(KeyEvent e) {}
  public void keyTyped(KeyEvent e) {}

}
